Main Page Widgets glibmm Namespaces Book

# Glib::Rand Class Reference
[Random Numbers]

List of all members.

## Public Member Functions
| Rand ()
| Rand (guint32 seed)
| ~Rand ()
void | set_seed (guint32 seed)
bool | get_bool ()
guint32 | get_int ()
gint32 | get_int_range (gint32 begin, gint32 end)
double | get_double ()
double | get_double_range (double begin, double end)
GRand* | gobj ()
const GRand* | gobj () const

## Detailed Description

Examples:

  thread/dispatcher.cc, and thread/thread.cc.

## Constructor & Destructor Documentation

Glib::Rand::Rand | ( |  | ) |

Glib::Rand::Rand | ( | guint32 | seed | ) | `[explicit]`

Glib::Rand::~Rand | ( |  | ) |

## Member Function Documentation

void Glib::Rand::set_seed | ( | guint32 | seed | ) |

bool Glib::Rand::get_bool | ( |  | ) |

Examples:
  thread/thread.cc.

guint32 Glib::Rand::get_int | ( |  | ) |

gint32 Glib::Rand::get_int_range | ( | gint32 | begin,
|  | gint32 | end |
| ) |  |  |

Examples:
  thread/dispatcher.cc, and thread/thread.cc.

double Glib::Rand::get_double | ( |  | ) |

double Glib::Rand::get_double_range | ( | double | begin,
|  | double | end |
| ) |  |  |

GRand* Glib::Rand::gobj | ( |  | ) | `[inline]`

const GRand* Glib::Rand::gobj | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following file:

- random.h